Bug 870197 - Review Request: mate-file-archiver - MATE Desktop file archiver
Review Request: mate-file-archiver - MATE Desktop file archiver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 15:10 EDT by leigh scott
Modified: 2012-11-23 02:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:19:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Comment (67.05 KB, text/plain)
2012-11-04 04:58 EST, Dan Mashal
no flags Details

  None (edit)
Description leigh scott 2012-10-25 15:10:55 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-file-archiver/1/mate-file-archiver.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-file-archiver/1/mate-file-archiver-1.4.0-1.fc17.src.rpm

Description:
Mate File Archiver is an application for creating and viewing archives files,
such as tar or zip files.

Fedora Account System Username: leigh123linux
Comment 1 Dan Mashal 2012-11-04 04:58:00 EST
Created attachment 915511 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 3 Dan Mashal 2012-11-10 08:32:19 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package -n
     mate-file-manager-archiver
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 3
     files have unknown license. Detailed output of licensecheck in
     /home/dan/870197-mate-file-archiver/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5253120 bytes in /usr/share 5253120
     mate-file-archiver-1.5.0-1.fc19.x86_64.rpm


Rpmlint
-------
Checking: mate-file-archiver-1.5.0-1.fc19.x86_64.rpm
          mate-file-archiver-debuginfo-1.5.0-1.fc19.x86_64.rpm
          mate-file-archiver-1.5.0-1.fc19.src.rpm
mate-file-archiver.x86_64: W: no-manual-page-for-binary engrampa
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-file-archiver mate-file-archiver-debuginfo
mate-file-archiver.x86_64: W: no-manual-page-for-binary engrampa
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-file-archiver-1.5.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    gsettings-desktop-schemas
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

mate-file-archiver-debuginfo-1.5.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
mate-file-archiver-1.5.0-1.fc19.x86_64.rpm:
    
    mate-file-archiver = 1.5.0-1.fc19
    mate-file-archiver(x86-64) = 1.5.0-1.fc19
    mimehandler(application/x-7z-compressed)
    mimehandler(application/x-7z-compressed-tar)
    mimehandler(application/x-ace)
    mimehandler(application/x-alz)
    mimehandler(application/x-ar)
    mimehandler(application/x-arj)
    mimehandler(application/x-bzip)
    mimehandler(application/x-bzip-compressed-tar)
    mimehandler(application/x-bzip1)
    mimehandler(application/x-bzip1-compressed-tar)
    mimehandler(application/x-cabinet)
    mimehandler(application/x-cbr)
    mimehandler(application/x-cbz)
    mimehandler(application/x-cd-image)
    mimehandler(application/x-compress)
    mimehandler(application/x-compressed-tar)
    mimehandler(application/x-cpio)
    mimehandler(application/x-deb)
    mimehandler(application/x-ear)
    mimehandler(application/x-gtar)
    mimehandler(application/x-gzip)
    mimehandler(application/x-gzpostscript)
    mimehandler(application/x-java-archive)
    mimehandler(application/x-lha)
    mimehandler(application/x-lhz)
    mimehandler(application/x-lrzip)
    mimehandler(application/x-lrzip-compressed-tar)
    mimehandler(application/x-lzip)
    mimehandler(application/x-lzip-compressed-tar)
    mimehandler(application/x-lzma)
    mimehandler(application/x-lzma-compressed-tar)
    mimehandler(application/x-lzop)
    mimehandler(application/x-lzop-compressed-tar)
    mimehandler(application/x-ms-dos-executable)
    mimehandler(application/x-rar)
    mimehandler(application/x-rar-compressed)
    mimehandler(application/x-rpm)
    mimehandler(application/x-rzip)
    mimehandler(application/x-stuffit)
    mimehandler(application/x-tar)
    mimehandler(application/x-tarz)
    mimehandler(application/x-war)
    mimehandler(application/x-xz)
    mimehandler(application/x-xz-compressed-tar)
    mimehandler(application/x-zip)
    mimehandler(application/x-zip-compressed)
    mimehandler(application/x-zoo)
    mimehandler(application/zip)

mate-file-archiver-debuginfo-1.5.0-1.fc19.x86_64.rpm:
    
    mate-file-archiver-debuginfo = 1.5.0-1.fc19
    mate-file-archiver-debuginfo(x86-64) = 1.5.0-1.fc19



Unversioned so-files
--------------------
mate-file-manager-archiver-1.5.0-1.fc19.x86_64.rpm: /usr/lib64/caja/extensions-2.0/libcaja-engrampa.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-file-archiver-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 6be234c3d8bb816193eb2ce4908d98f2109746f6a564a152d41d24ff7888cd7e
  CHECKSUM(SHA256) upstream package : 6be234c3d8bb816193eb2ce4908d98f2109746f6a564a152d41d24ff7888cd7e
Comment 4 leigh scott 2012-11-10 08:36:35 EST
Unversioned so-files
--------------------
mate-file-manager-archiver-1.4.0-1.fc18.x86_64.rpm: /usr/lib64/caja/extensions-2.0/libcaja-engrampa.so



libcaja-engrampa.so is a runtime lib required for the extract feature in caja
Comment 5 Dan Mashal 2012-11-10 09:33:48 EST
APPROVED
Comment 6 leigh scott 2012-11-10 09:38:33 EST
New Package SCM Request
=======================
Package Name: mate-file-archiver
Short Description: MATE Desktop file archiver
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC::
Comment 7 Gwyn Ciesla 2012-11-12 08:08:37 EST
Git done (by process-git-requests).
Comment 8 Dan Mashal 2012-11-12 10:04:22 EST
limb: I cannot fedpkg clone
Comment 9 Kevin Fenzi 2012-11-12 10:55:27 EST
Looks like pkgdb2branch didn't get run. Fixed.
Comment 10 Dan Mashal 2012-11-12 11:28:06 EST
Thanks
Comment 11 Fedora Update System 2012-11-12 11:42:57 EST
mate-file-archiver-1.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-archiver-1.5.0-1.fc18
Comment 12 Fedora Update System 2012-11-12 11:43:11 EST
mate-file-archiver-1.5.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-file-archiver-1.5.0-1.fc17
Comment 13 Fedora Update System 2012-11-19 09:55:32 EST
mate-file-archiver-1.5.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-file-archiver-1.5.1-1.fc17
Comment 14 Fedora Update System 2012-11-19 09:55:59 EST
mate-file-archiver-1.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-archiver-1.5.1-1.fc18
Comment 15 Fedora Update System 2012-11-23 02:19:39 EST
mate-file-archiver-1.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.